View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001695aMuleTransferpublic2011-11-17 04:242012-02-11 19:33
Reporterpathetic_loser 
Assigned Tosturedman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.3.1 
Target VersionFixed in Version2.3.2 
Summary0001695: Default nodes.dat URL points to old version of nodes.dat -> unusable
DescriptionIf you'll try to download nodes.dat file from default URL supplied with aMule, this will not work (http://download.tuxfamily.org/technosalad/utils/nodes.dat [^])

aMule reports that it's format outdated and unsupported:
2011-11-17 07:13:38: RoutingZone.cpp(172): Failed to read nodes.dat file - too old. This version (0) is not supported anymore.
2011-11-17 07:13:38: RoutingZone.cpp(210): Read 0 Kad contacts

This issue is fairly stupid. And as for me, I'm personally do not want to connect to ed2k servers at all due to a huge number of malicious/suspicious servers. Yet it's not that it's easy to bootstrap Kad at the moment.
TagsNo tags attached.
Fixed in Revision10756
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0003606)
sturedman (developer)
2012-02-11 19:33

Changed it to http://upd.emule-security.net/nodes.dat [^]

- Issue History
Date Modified Username Field Change
2011-11-17 04:24 pathetic_loser New Issue
2011-11-17 04:24 pathetic_loser Operating System => Any
2012-02-11 19:33 sturedman Fixed in Revision => 10756
2012-02-11 19:33 sturedman Note Added: 0003606
2012-02-11 19:33 sturedman Assigned To => sturedman
2012-02-11 19:33 sturedman Severity major => minor
2012-02-11 19:33 sturedman Status new => resolved
2012-02-11 19:33 sturedman Resolution open => fixed
2012-02-11 19:33 sturedman Fixed in Version => 2.3.2


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker